Subject: bug#9779: No usable browser found on Lubuntu

From: Juri Linkov <[email-masked]>
Date: Thu, 20 Oct 2011 01:42:02 +0300

>>>> So I propose the following patch (that also adds a missing customizable
>>>> option for `browse-url-xdg-open' in `browse-url-browser-function'):
>>>>
>>>> === modified file 'lisp/net/browse-url.el'
>>>> --- lisp/net/browse-url.el    2011-08-21 01:01:12 +0000
>>>> +++ lisp/net/browse-url.el    2011-10-18 06:54:01 +0000
>>>> @@ -247,6 +249,8 @@ (defcustom browse-url-browser-function
>>>>             :value browse-url-default-windows-browser)
>>>>      (function-item :tag "Default Mac OS X browser"
>>>>             :value browse-url-default-macosx-browser)
>>>> +      (function-item :tag "Preferred by xdg-open from Free Desktop"
>>>> +             :value browse-url-xdg-open)
>>>>      (function-item :tag "GNOME invoking Mozilla"
>>>>             :value browse-url-gnome-moz)
>>>>      (function-item :tag "Default browser"
>>>
>>> This part of the patch is redundant.  browse-url-xdg-open is called by
>>> browse-url-default-browser.
>>
>> `browse-url-default-browser' is just one of possible values of
>> `browse-url-browser-function'.  Like users might want to customize it
>> to e.g. "Default Windows browser", is it likely that some users might want
>> to customize it to "Default Free Desktop browser" selected by "xdg-open"?
>
> I don't get it. That is the default, so what is the point of customizing it to the default value?

There is no point doing this now with the current implementation of
`browse-url-default-browser' where one of the first things it does
is to try to use `browse-url-xdg-open', so perhaps no one might want
to customize it to `browse-url-xdg-open'.  I proposed to add it just
for completeness.  But there is no urgent need to do this and anyway,
this bug report is already closed :)